from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = [line.strip() for line in fh if line.strip() and not line.startswith("#")]

setup(
    name="firefly-viewer",
    version="1.0.3",
    author="IDSolutions",
    author_email="info@innovativedevsolutions.org",
    description="A web-based viewer for Firefly databases",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitea.innovativedevsolutions.org/IDSolutions/firefly-viewer",
    project_urls={
        "Bug Tracker": "https://gitea.innovativedevsolutions.org/IDSolutions/firefly-viewer/issues",
    },
    packages=find_packages(),
    include_package_data=True,
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "firefly-viewer=firefly.cli:main",
        ],
    },
    package_data={
        "firefly": ["templates/*"],
    },
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Web Environment",
        "Framework :: Flask",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.13",
        "Topic :: Database :: Front-Ends",
    ],
    python_requires=">=3.13",
)